Lavalite package that provides payment management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `realestate/payment`.

    "realestate/payment": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Realestate\Payment\Providers\PaymentServiceProvider::class,

And also add it to alias

    'Payment'  => Realestate\Payment\Facades\Payment::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Realestate\\PaymentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Realestate\Payment\Providers\PaymentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Realestate\Payment\Providers\PaymentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Realestate\Payment\Providers\PaymentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/payment/{modulename}

**User**

    http://path-to-route-folder/user/payment/{modulename}

**Public**

    http://path-to-route-folder/payments


### API endpoints

**List**

    http://path-to-route-folder/api/user/payment/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/payment/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/payment/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/payment/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/payment/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/payment/{modulename}/{slug}
    METHOD: GET