<?php

// web routes  for payment
Route::prefix('{guard}/payment')->group(function () {
    Route::resource('payment', 'PaymentResourceController');
});

// Public routes for payment
Route::get('payments/', 'PaymentPublicController@index');
Route::get('payments/{slug?}', 'PaymentPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PaymentResourceController');
            });
            // Public routes for pages
            Route::get('payments/', 'PaymentPublicController@index');
            Route::get('payments/{slug?}', 'PaymentPublicController@show');
        }
    );
}

