<?php

namespace Realestate\Payment;

use User;

class Payment
{
    /**
     * $payment object.
     */
    protected $payment;

    /**
     * Constructor.
     */
    public function __construct(\Realestate\Payment\Interfaces\PaymentRepositoryInterface $payment)
    {
        $this->payment = $payment;
    }

    /**
     * Returns count of payment.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.payment.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->payment->pushCriteria(new \Litepie\Realestate\Repositories\Criteria\PaymentUserCriteria());
        }

        $payment = $this->payment->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('payment::' . $view, compact('payment'))->render();
    }
}
