<?php

namespace Realestate\Payment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PaymentTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Payment\Models\Payment $payment)
    {
        return [
            'id'                => $payment->getRouteKey(),
            'key'               => [
                'public'    => $payment->getPublicKey(),
                'route'     => $payment->getRouteKey(),
            ], 
            'name'              => $payment->name,
            'slug'              => $payment->slug,
            'user_id'           => $payment->user_id,
            'user_type'         => $payment->user_type,
            'deleted_at'        => $payment->deleted_at,
            'url'               => [
                'public'    => trans_url('payment/'.$payment->getPublicKey()),
                'user'      => guard_url('payment/payment/'.$payment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$payment->status),
            'created_at'        => format_date($payment->created_at),
            'updated_at'        => format_date($payment->updated_at),
        ];
    }
}